<div id="main" role="main" class="page-content pt-6 row">
  <div class="col-12 col-sm-3">
    <div class="sidebar">
      <h2 class="h4 page-title mt-3 mb-2">&nbsp;</h2>
      <hr class="mb-5">
      <dl class="dl-horizontal small lh-22">
        <h4 class="h5 mb-0 avenir-bold">{{ order.billing_address.name }}</h4>
        <a class="link small mb-2 d-block" href="/account"> {{ 'customer_accounts.orders.back_link' | t }}</a>
        <hr class="my-2">
        {% capture order_created_at_date %}{% endcapture %}
        <dt class="">{{ 'customer_accounts.orders.order_created_on_note' | t }}</dt>
        <dd class="text-capitalize">{{ order.created_at | date: format: 'order_long' }}</dd>
        <hr class="my-2">
        <dt class="mt-2">{{ 'customer_accounts.orders.payment_status_title' | t }}:</dt>
        <dd>{{ order.financial_status_label }}</dd>
        <hr class="my-2">
        <dt class="mt-2">{{ 'customer_accounts.orders.payment_status_title' | t }}:</dt>
        <dd>{{ order.financial_status_label }}</dd>
        <hr class="my-2">
        <dt class="mt-2">{{ 'customer_accounts.orders.fulfillment_status_title' | t }}:</dt>
        <dd>{{ order.fulfillment_status_label }}</dd>
        <hr class="my-2">
        <dt class="mt-2">{{ 'customer_accounts.orders.billing_address_title' | t }}:</dt>
        <address class="m-0">
          {% if order.billing_address.company != blank %}
            {{ order.billing_address.company }}<br>
          {% endif %}
          {{ order.billing_address.street }}<br>
          {{ order.billing_address.city }}<br>
          {% if order.billing_address.province != blank %}
            {{ order.billing_address.province }}<br>
          {% endif %}
          {{ order.billing_address.zip | upcase }}<br>
          {{ order.billing_address.country }}<br>
          {{ order.billing_address.phone }}
        </address>
        <hr class="my-2">
        <dt class="mt-2">{{ 'customer_accounts.orders.shipping_address_title' | t }}:</dt>
        <address class="m-0">
          {% if order.shipping_address.company != blank %}
            {{ order.shipping_address.company }}<br>
          {% endif %}
          {{ order.shipping_address.street }}<br>
          {{ order.shipping_address.city }}<br>
          {% if order.shipping_address.province != blank %}
            {{ order.shipping_address.province }}<br>
          {% endif %}
          {{ order.shipping_address.zip | upcase }}<br>
          {{ order.shipping_address.country }}<br>
          {{ order.shipping_address.phone }}
        </address>
      </dl>
    </div>
  </div>
  <div class="col-12 col-sm-9">
    <section class="content">
      <header class="page-header">
        <h1 class="h2 page-title mt-1 mb-2">
          {{ 'customer_accounts.orders.page_title' | t: count: 1 }} {{ order.name }}
        </h1>
        <hr class="mb-5">
      </header>
      <div class="order-details">
        {% if order.cancelled %}
          <div class="note">
            {% assign cancelled_at = customer_accounts.orders.order_cancelled_on_note | date: "%B %d, %Y %I:%M%p" %}
            <p class="mb-0">{{ 'customer_accounts.orders.order_cancelled_on_note' | t: date: cancelled_at }}</p>
            <p>{{ 'customer_accounts.orders.order_cancelled_reason' | t: reason: order.cancel_reason }}</p>
          </div>
      {% endif %}
        <table class="table table-striped d-table small">
          <thead>
            <tr>
              <th>{{ 'customer_accounts.orders.product_title' | t }}</th>
              <th>{{ 'customer_accounts.orders.sku_title' | t }}</th>
              <th>{{ 'customer_accounts.orders.price_title' | t }}</th>
              <th class="text-center">{{ 'customer_accounts.orders.quantity_title' | t }}</th>
              <th class="text-right">{{ 'customer_accounts.orders.total_title' | t }}</th>
            </tr>
          </thead>
          <tbody>
            {% for line_item in order.line_items %}
              <tr>
                <td data-label="{{ 'customer_accounts.orders.product_title' | t }}">
                  <a href="{{ line_item.product.url }}" class="link">{{ line_item.title }}</a>
                  {% if line_item.fulfillment %}
                    <div class="note mt-1">
                      {% assign created_at = line_item.fulfillment.created_at | date: format: 'month_day_year' %}
                      {{ 'customer_accounts.orders.fulfilled_at' | t: date: created_at }}
                      <div>
                        {% if line_item.fulfillment.tracking_url %}
                          <a href="{{ line_item.fulfillment.tracking_url }}">
                            {{ 'customer_accounts.orders.shipping_address_title' | t }}
                          </a>
                        {% endif %}
                        <div>
                          {{ line_item.fulfillment.tracking_company }}
                          {% if line_item.fulfillment.tracking_number %} #{{ line_item.fulfillment.tracking_number }} {% endif %}
                        </div>
                      </div>
                    </div>
                  {% endif %}
                </td>
                <td data-label="{{ 'customer_accounts.orders.sku_title' | t }}">{{ line_item.sku }}</td>
                <td data-label="{{ 'customer_accounts.orders.price_title' | t }}">{{ line_item.price | money }}</td>
                <td class="text-center" data-label="{{ 'customer_accounts.orders.quantity_title' | t }}">{{ line_item.quantity }}</td>
                <td class="text-right" data-label="{{ 'customer_accounts.orders.total_title' | t }}">{{ line_item.quantity | times: line_item.price | money }}</td>
              </tr>
            {% endfor %}
          </tbody>
          <tfoot class="h5">
          <tr>
            <td class="text-right px-0 py-2 pt-3" colspan="2"></td>
            <td class="text-right py-2 pt-3 pl-0" colspan="3" data-label="{{ 'customer_accounts.orders.subtotal_title' | t }}">{{ 'customer_accounts.orders.subtotal_title' | t }}: {{ order.subtotal_price | money }}</td>
          </tr>

            {% for discount in order.discounts %}
              <tr class="order_summary discount">
                <td class="text-right py-2 px-0" colspan="2"></td>
                <td class="text-right py-2 pl-0" colspan="3" data-label="{{ 'customer_accounts.orders.discount_title' | t }}">{{ discount.code }} {{ 'customer_accounts.orders.discount_title' | t }}: {{ discount.savings | money }}</td>
              </tr>
            {% endfor %}

            {% for shipping_method in order.shipping_methods %}
              <tr>
                <td class="text-right py-2 px-0" colspan="2"></td>
                <td class="text-right py-2 pl-0" colspan="3" data-label="{{ 'customer_accounts.orders.shipping_title' | t }} ({{ shipping_method.title }})">{{ 'customer_accounts.orders.shipping_title' | t }} ({{ shipping_method.title }}): {{ shipping_method.price | money }}</td>
              </tr>
            {% endfor %}

            {% for tax_line in order.tax_lines %}
              <tr>
                <td class="text-right py-2 px-0" colspan="2"></td>
                <td class="text-right py-2 pl-0" colspan="3" data-label="{{ 'customer_accounts.orders.tax_title' | t }} ({{ tax_line.title }} {{ tax_line.rate | times: 100 }}%)">{{ 'customer_accounts.orders.tax_title' | t }} ({{ tax_line.title }} {{ tax_line.rate | times: 100 }}%): {{ tax_line.price | money }}</td>
              </tr>
            {% endfor %}

            <tr>
              <td class="text-right py-2 px-0" colspan="2"></td>
              <td class="text-right py-2 pl-0" colspan="3" data-label="{{ 'customer_accounts.orders.total_title' | t }}"><strong>{{ 'customer_accounts.orders.total_title' | t }}</strong>: <strong>{{ order.total_price | money }} {{ order.currency }}</strong></td>
            </tr>
          </tfoot>
        </table>
      </div>
    </section>
  </div>
</div>
